Package: org.codehaus.groovy.classgen

## [Java] Class GeneratorContext

- org.codehaus.groovy.classgen.GeneratorContext

- A context shared across generations of a class and its inner classes

  Authors:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GeneratorContext (CompileUnit compileUnit)`
    `GeneratorContext (CompileUnit compileUnit, int innerClassOffset)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static String` | `encodeAsValidClassName(String name)`
    `` | `CompileUnit` | `getCompileUnit()`
    `` | `String` | `getNextClosureInnerName(ClassNode owner, ClassNode enclosingClass, MethodNode enclosingMethod)`
    `` | `int` | `getNextInnerClassIdx()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public GeneratorContext(CompileUnit compileUnit)

    - #### public GeneratorContext(CompileUnit compileUnit, int innerClassOffset)

  - ### Method Detail

    - #### public static String encodeAsValidClassName(String name)

    - #### public CompileUnit getCompileUnit()

    - #### public String getNextClosureInnerName(ClassNode owner, ClassNode enclosingClass, MethodNode enclosingMethod)

    - #### public int getNextInnerClassIdx()